summaryrefslogtreecommitdiff
path: root/pcr/libsquish-svn
diff options
context:
space:
mode:
authorAndreas Grapentin <andreas@grapentin.org>2018-01-22 08:52:40 +0100
committerAndreas Grapentin <andreas@grapentin.org>2018-01-22 08:52:40 +0100
commit4fddf4535622c1ee143d99ef9e5b41ae67e92f06 (patch)
tree46ee125971877efadaa77eec7e1c6617c792ba63 /pcr/libsquish-svn
parent679468c33154f2d468e17b75c950c013af6a69a6 (diff)
pcr/libsquish-svn: updated to 106
Diffstat (limited to 'pcr/libsquish-svn')
-rw-r--r--pcr/libsquish-svn/LICENSE24
-rw-r--r--pcr/libsquish-svn/PKGBUILD62
2 files changed, 39 insertions, 47 deletions
diff --git a/pcr/libsquish-svn/LICENSE b/pcr/libsquish-svn/LICENSE
deleted file mode 100644
index dd0f22eb9..000000000
--- a/pcr/libsquish-svn/LICENSE
+++ /dev/null
@@ -1,24 +0,0 @@
-/* -----------------------------------------------------------------------------
-
- Copyright (c) 2006 Simon Brown si@sjbrown.co.uk
-
- Permission is hereby granted, free of charge, to any person obtaining
- a copy of this software and associated documentation files (the
- "Software"), to deal in the Software without restriction, including
- without limitation the rights to use, copy, modify, merge, publish,
- distribute, sublicense, and/or sell copies of the Software, and to
- permit persons to whom the Software is furnished to do so, subject to
- the following conditions:
-
- The above copyright notice and this permission notice shall be included
- in all copies or substantial portions of the Software.
-
- THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
- OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
- MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
- IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
- CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
- TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
- SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
-
- -------------------------------------------------------------------------- */
diff --git a/pcr/libsquish-svn/PKGBUILD b/pcr/libsquish-svn/PKGBUILD
index 114f125b1..d4ba0100e 100644
--- a/pcr/libsquish-svn/PKGBUILD
+++ b/pcr/libsquish-svn/PKGBUILD
@@ -1,35 +1,51 @@
-# Maintainer: Jorge Araya Navarro <jorgean@lavabit.com>
-# Contributor (Arch): F0ruD<fzerorubigd{AT}gmail{DOT}com>
+# Maintainer (AUR): Samuel Mesa <samuelmesa@linuxmail.org>
+# Contributor (AUR): F0ruD<fzerorubigd{AT}gmail{DOT}com>
+# Contributor: Jorge Araya Navarro <jorgean@lavabit.com>
+
+# parabola changes and rationale:
+# - removed -j from make call
+
pkgname=libsquish-svn
-pkgver=48
-pkgrel=5
+pkgver=106
+pkgrel=1
pkgdesc="DXT compression library - svn build"
arch=('i686' 'x86_64')
-url="http://code.google.com/p/libsquish"
-makedepends=('subversion' )
+url="http://libsquish.sourceforge.net"
+makedepends=('subversion' 'cmake')
license=('MIT')
provides=('libsquish')
-conflicts=('libsquish' 'kervalasquish-hg' 'kervala_libsquish-hg')
-mksource=("$pkgname-$pkgver"::svn+http://libsquish.googlecode.com/svn/trunk/#revision=$pkgver)
-mkmd5sums=('SKIP')
+conflicts=('libsquish')
-source=("libre://$pkgname-$pkgver.tar.gz"
- LICENSE)
+source=("${pkgname}::svn+http://svn.code.sf.net/p/libsquish/code/trunk")
+md5sums=('SKIP')
+
+pkgver() {
+ svnversion "${SRCDEST}/${pkgname}" | tr -d [A-z]
+}
build() {
- cd "$srcdir/$pkgname-$pkgver"
- make
+ cd "${pkgname}"
+
+ #Build
+ if [[ -d "build" ]]; then
+ (rm -rf build)
+ fi
+
+ mkdir build
+ cd build
+
+ cmake ../ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DBUILD_MINI_SFX=ON \
+ -DBUILD_MINI_EXAMPLE=ON \
+ -DBUILD_MINI_TOOLS=OFF \
+ -DBUILD_MINI_VIEWER=OFF \
+ -DBUILD_MINI_WITH_OPENTHREADS=OFF \
+
+ make #-j5
}
package() {
- cd "$srcdir/$pkgname-$pkgver"
- # make install
- mkdir -p $pkgdir/usr/local/{include,lib}
-
- install -Dm 644 squish.h $pkgdir/usr/local/include/squish.h
- install -Dm 644 libsquish.so.0.0 $pkgdir/usr/local/lib/libsquish.so.0.0
- install -Dm 644 $srcdir/LICENSE $pkgdir/usr/share/licenses/$pkgname/LICENSE
-}
+ cd ${pkgname}/build
-sha256sums=('d1c057bf105872f50f504584fd7b31fb980ed5e235b14a92c6cb0aa7d7758e8f'
- 'ed13029728a637f599833a68be22f3cc356a7f13be8d79284b2c415e172efd75')
+ make DESTDIR=${pkgdir} install || return 1
+}